#!/usr/bin/env python
#coding: utf-8
"""
Requirements
    - Python: http://www.python.org/
    - cherrypy: http://cherrypy.org/
    - cheetah: http://www.cheetahtemplate.org/
"""

import os
import sys
import cherrypy
import time
from Cheetah.Template import Template


THISDIR = APPDIR = os.path.dirname(os.path.abspath(__file__))
INI_FILENAME = os.path.join(THISDIR, "ajaxtest_server.ini")


class Root(object):
    
    
    def index(self, *args, **kwargs):
        """
        Handler für die Startseite
        """
        template = Template(file = os.path.join(THISDIR, "index.tmpl"))
        return unicode(template)
    index.exposed = True


    def get_data(self, *args, **kwargs):
        """
        Handler für http://localhost:8080/get_data
        """
        return unicode(time.asctime())
    get_data.exposed = True


def main():
    app = cherrypy.tree.mount(Root(), config = INI_FILENAME)
    cherrypy.config.update({"tools.staticdir.root": APPDIR})
    cherrypy.quickstart(app)


if __name__ == "__main__":
    main()


